Create a token for all gateway instances in a gateway group
POST /api/gateway_groups/{gateway_group_id}/instance_token
POST /api/gateway_groups/{gateway_group_id}/instance_tokenInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthQuery Parameters
only_token?boolean
If true, the response will only contain the token.
Response Body
application/json
application/json
curl -X POST "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/instance_token"Gateway group token created successfully.
{
"value": {
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"token_plain_text": "tabqbdwnahkqo-example-instance-token"
}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
POST /api/gateway_groups/{gateway_group_id}/instance_token
Create a token for all gateway instances in a gateway group
IAM Action: gateway:CreateGatewayInstance, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
gateway_group_id(path, string, required): Gateway group ID.only_token(query, boolean, optional): If true, the response will only contain the token.
Responses
200: Gateway group token created successfully.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional): The token.value.id(string, optional): Token ID.value.token_plain_text(string, optional): The token in plain text.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X POST '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/instance_token'